-- ---------------------------------------------------------------------------------------
-- HOW TO FILL THE DATA TABLE
--   Key is the spell ID whose tooltip will be modified
--   First value is the position of numeric param(s) within the English spell description
--   Second value is the PVP multiplier
--   Third value is an optional spec filter, if modifier only applies for a spec
--   Fourth value is an optional spell ID, whose name will appear next to the PVP modifier
-- ---------------------------------------------------------------------------------------

-- Latest data used to generate the table:
--   http://blue.mmo-champion.com/topic/419373-pvp-stat-templates-and-spell-multipliers-august-3rd-2016/
--   http://blue.mmo-champion.com/topic/591339-patch-hotfixes-august-16/
--   http://blue.mmo-champion.com/topic/755303-patch-hotfixes-august-26/

PVPTooltips_Data = {
	--            position, multiplier, specfilter, details
	-- DK
	[205223] = {         2,       0.50,        nil,     nil }, -- Consumption
	[192567] = {    {1, 2},       0.60,        nil,     nil }, -- Unending Thirst
	[206930] = {         2,       1.00,        nil,     nil }, -- Heart Strike
	[50842]  = {         1,       0.30,        nil,     nil }, -- Blood Boil
	[190778] = {         2,       0.60,        nil,     nil }, -- Sindragosa's Fury
	[207311] = {         1,       1.00,        nil,     nil }, -- Clawing Shadows
	[191587] = {    {1, 3},       0.75,        nil,     nil }, -- Virulent Plague
	[207349] = {        {},       0.70,        nil,     nil }, -- Dark Arbiter (affects "Val'kyr Strike" but document the main spell)
	[207317] = {    {2, 3},       0.85,        nil,     nil }, -- Epidemic
	[220143] = {         1,       0.75,        nil,     nil }, -- Apocalypse
	[191637] = {         1,       0.80,        nil,     nil }, -- Dragged to Helheim (related to "Portal to the Underworld" artifact trait) 			(FIXME: verify this one)
	
	-- DH
	[204254] = {         2,       0.80,        nil,     nil }, -- Shattered Souls (Vengeance)
	[228477] = {         2,       0.80,        nil,     nil }, -- Soul Cleave
	[227225] = { {2, 3, 4},       1.00,        nil,     nil }, -- Soul Barrier
	[204909] = {         1,       0.40,        nil,     nil }, -- Soul Rending (Metamorphosis leech)
	
	-- Druid
	[200851] = {         3,       0.50,        nil,     nil }, -- Rage of the Sleeper
	[210722] = {    {3, 4},       0.50,        nil,     nil }, -- Ashamane's Frenzy

	-- Hunter
	[131894] = {         1,       0.65,        nil,     nil }, -- Murder of Crows (Beast Mastery, Marksmanship)
	[206505] = {        {},       0.65,        nil,     nil }, -- Murder of Crows (Survival)
	[120360] = {    {2, 3},       0.80,        nil,     nil }, -- Barrage
	[193455] = {         1,       0.75,        nil,     nil }, -- Cobra Shot
	[34026]  = {         1,       0.80,        nil,     nil }, -- Kill Command
	[19434]  = {         1,       0.80,        nil,     nil }, -- Aimed Shot
	[185901] = {         1,       0.80,        nil,     nil }, -- Marked Shot
	[198670] = {    {1, 2},       0.50,        nil,     nil }, -- Piercing Shot
	[109304] = {    {1, 2},       1.00,        nil,     nil }, -- Exhilaration (Beast Mastery, Survival)
	[194291] = {         1,       0.60,        nil,     nil }, -- Exhilaration (Marksmanship)
	[190503] = {         1,       0.50,        nil,     nil }, -- Healing Shell

	-- Mage
	[116011] = {         2,       0.70,        nil,     nil }, -- Rune of Power
	[194318] = {         1,       0.50,        nil,     nil }, -- Cauterizing Blink
	[133]    = {         1,       1.75,        nil,     nil }, -- Fireball
	[11366]  = {         1,       0.70,        nil,     nil }, -- Pyroblast
	[199786] = {         1,       1.00,        nil,     nil }, -- Glacial Spike
	[30451]  = {         1,       1.15,        nil,     nil }, -- Arcane Blast
	[30455]  = {         1,       1.20,        nil,     nil }, -- Ice Lance					(FIXME: incomplete / problem if Splitting Ice talent is taken + ru language)
	[116]    = {         1,       1.20,        nil,     nil }, -- Frost Bolt

	-- Monk
	[113656] = {         1,       0.70,        nil,     nil }, -- Fists of Fury
	[205320] = {         1,       0.70,        nil,     nil }, -- Strike of the Windlord
	[115310] = {         2,       2.00,        nil,     nil }, -- Revival
	[152173] = {         2,      0.625,        nil,     nil }, -- Serenity
	[137639] = {         3,       0.90,        nil,     nil }, -- Storm, Earth, and Fire
	[195300] = {         1,       0.60,        nil,     nil }, -- Transfer the Power
	
	-- Paladin
	[20473]  = {         1,       0.50,        nil,     nil }, -- Holy Shock
	[31935]  = {         1,       0.50,        nil,     nil }, -- Avenger's Shield
	[53600]  = {         1,       0.50,        nil,     nil }, -- Shield of the Righteous
	[184092] = {         1,       0.50,        nil,     nil }, -- Light of the Protector
	[213652] = {         1,       0.50,        nil,     nil }, -- Hand of the Protector
	[213757] = {         1,       0.80,        nil,     nil }, -- Execution Sentence
	[85256]  = {         1,       1.00,        nil,     nil }, -- Templar's Verdict
	[215661] = {         2,       0.50,        nil,     nil }, -- Justicar's Vengeance (stun bonus)

	-- Priest
	[17]     = {         2,       1.25,        256,     nil }, -- Power Word: Shield
	[81749]  = {         2,       1.25,        nil,     nil }, -- Atonement
	
	-- Rogue
	[185311] = {                     1,       0.50,        nil,     nil }, -- Crimson Vial
	[152150] = {                     3,       0.50,        nil,     nil }, -- Death from Above
	[14062]  = {                     2,       0.50,        nil,     nil }, -- Nightstalker
	[1943]   = { {2, 5, 8, 11, 14, 17},       0.75,        nil,     nil }, -- Rupture
	[192923] = {                     1,       0.30,        nil,     nil }, -- Blood of the Assassinated
	[196819] = {  {2, 4, 6, 8, 10, 12},       1.00,        nil,     nil }, -- Eviscerate
	[185438] = {                     1,       0.70,        nil,     nil }, -- Shadowstrike
	[197406] = {                    {},       0.60,        nil,     nil }, -- Finality
	
	-- Shaman
	[204945] = {         1,       0.60,        nil,     nil }, -- Doom Winds
	[188070] = {         1,       1.00,        nil,     nil }, -- Healing Surge (Enhancement)
	[168534] = {        {},       0.80,        nil,   51505 }, -- Elemental Overload (only applies to Lava Burst)
	[8042]   = {         1,       0.75,        nil,     nil }, -- Earth Shock
	[51505]  = {         1,       0.80,        264,     nil }, -- Lava Burst (Resto only)
	[8004]   = {         1,       1.20,        264,     nil }, -- Healing Surge (Elemental, Restoration), buff limited to Resto
	[77472]  = {         1,       1.35,        nil,     nil }, -- Healing Wave
	[5394]   = {         3,       1.25,        nil,     nil }, -- Healing Stream Totem
	
	-- Warlock
	[211714] = {        {},       0.66,        nil,     nil }, -- Thal'kiel's Consumption
	[219272] = {         1,       0.50,        nil,     nil }, -- Demon Skin (passive recharge effect)
	[116858] = {         1,       1.20,        nil,     nil }, -- Chaos Bolt

	-- Warrior
	[227847] = {         2,       0.66,        nil,     nil }, -- Bladestorm
	[207982] = {         1,       0.40,        nil,     nil }, -- Focused Rage (Mortal Strike)
	[23881]  = {         2,       0.50,        nil,     nil }, -- Bloodthirst
	[204488] = {         1,       0.40,        nil,     nil }, -- Focused Rage (Shield Slam)
	[190456] = {         2,       0.75,        nil,     nil }, -- Ignore Pain
	[2565]   = {         2,       0.40,        nil,     nil }, -- Shield Block
};