-- ---------------------------------------------------------------------------------------
-- SECONDARY DATA TABLE FOR STAT TEMPLATES
--   Key is the specialization ID whose stat template is described
--   Value is a table containing stats and flags
--   Valid table keys: role, caster, primary, stamina, armor, damage,
-- 					   mastery, haste, crit, versatility, regen
--   Valid roles: tank, damager, healer
--   Default stat value is 1.00, except for caster primary stat where it is 1.55
-- ---------------------------------------------------------------------------------------

PVPTooltips_Templates = {
	-- Death Knight
	[250] = { role = "tank", caster = false, damage = 0.85, primary = 0.80, stamina = 0.70, mastery = 0.25, versatility = 0.00 }, -- Blood
	[251] = { role = "damager", caster = false, stamina = 1.20 }, -- Frost
	[252] = { role = "damager", caster = false, primary = 0.80, mastery = 0.75, haste = 1.25, stamina = 1.20 }, -- Unholy

	-- Demon Hunter
	[577] = { role = "damager", caster = false, primary = 0.90, mastery = 0.40, haste = 1.30, crit = 1.30 }, -- Havoc				[TODO: verify primary stat]
	[581] = { role = "tank", caster = false, damage = 0.85, stamina = 0.70, mastery = 0.25, versatility = 0.00 }, -- Vengeance
	
	-- Druid
	[102] = { role = "damager", caster = true, primary = 1.40 }, -- Balance
	[103] = { role = "damager", caster = false }, -- Feral
	[104] = { role = "tank", caster = false, damage = 0.85, stamina = 0.70, mastery = 0.25, versatility = 0.00 }, -- Guardian
	[105] = { role = "healer", caster = true, damage = 0.75, primary = 1.40, regen = 0.80 }, -- Restoration

	-- Hunter
	[253] = { role = "damager", caster = false }, -- Beast Mastery
	[254] = { role = "damager", caster = false, primary = 1.15, mastery = 0.75, haste = 1.75, crit = 0.50 }, -- Marksmanship
	[255] = { role = "damager", caster = false, armor = 1.25, mastery = 0.25, haste = 0.50, crit = 0.75, versatility = 2.00 }, -- Survival

	-- Mage
	[62] = { role = "damager", caster = true, haste = 1.50, versatility = 0.50 }, -- Arcane
	[63] = { role = "damager", caster = true, primary = 1.20, crit = 1.50, mastery = 0.50 }, -- Fire
	[64] = { role = "damager", caster = true, haste = 1.50, mastery = 0.50 }, -- Frost

	-- Monk
	[268] = { role = "tank", caster = false, damage = 0.85, stamina = 0.70, mastery = 0.25, versatility = 0.00 }, -- Brewmaster
	[270] = { role = "healer", caster = true, damage = 0.75 }, -- Mistweaver
	[269] = { role = "damager", caster = false, primary = 0.85 }, -- Windwalker

	-- Paladin
	[65] = { role = "healer", caster = true, damage = 0.75 }, -- Holy
	[66] = { role = "tank", caster = false, damage = 0.85, stamina = 0.85, mastery = 0.25, versatility = 0.00 }, -- Protection
	[67] = { role = "damager", caster = false, primary = 0.85, mastery = 0.25, haste = 1.25, versatility = 1.25, crit = 1.25 }, -- Retribution

	-- Priest
	[256] = { role = "healer", caster = true, damage = 0.90, mastery = 0.50, versatility = 1.50 }, -- Discipline
	[257] = { role = "healer", caster = true, damage = 0.75 }, -- Holy
	[258] = { role = "damager", caster = false, primary = 1.45, mastery = 0.75, versatility = 1.50, crit = 0.75 }, -- Shadow

	-- Rogue
	[259] = { role = "damager", caster = false }, -- Assassination
	[260] = { role = "damager", caster = false, primary = 0.80 }, -- Outlaw
	[261] = { role = "damager", caster = false, primary = 0.70, haste = 1.25, versatility = 0.50, crit = 1.25 }, -- Subtlety

	-- Shaman
	[262] = { role = "damager", caster = true, armor = 1.20, stamina = 1.10, versatility = 1.75, mastery = 0.75, crit = 0.75, haste = 0.75 }, -- Elemental
	[263] = { role = "damager", caster = false, armor = 1.25, stamina = 1.10, versatility = 1.75, mastery = 0.25 }, -- Enhancement
	[264] = { role = "healer", caster = true, damage = 0.70, armor = 1.30, crit = 0.50, mastery = 1.50, regen = 0.80 }, -- Restoration

	-- Warlock
	[265] = { role = "damager", caster = true, primary = 1.20, haste = 1.50, mastery = 1.25, versatility = 0.25, stamina = 1.20 }, -- Affliction
	[266] = { role = "damager", caster = true, stamina = 1.20 }, -- Demonology
	[267] = { role = "damager", caster = true, crit = 1.75, mastery = 0.25, stamina = 1.20 }, -- Destruction
	
	-- Warrior
	[71] = { role = "damager", caster = false, mastery = 0.25, haste = 1.25, versatility = 1.25, crit = 1.25 }, -- Arms
	[72] = { role = "damager", caster = false, primary = 0.85 }, -- Fury
	[73] = { role = "tank", caster = false, primary = 0.85, stamina = 0.60, mastery = 0.25, versatility = 0.00 }, -- Protection
}